Agent tagging in GuardMode allows you to organize instances of the GuardMode Agent by tagging them under a shared "campus" value. Tags are added to every alert, both in provider notifications and logs.
In DPX notifications, the tags are displayed as labels. In Syslog notifications, they are added as prefixes to the messages in the following way:
[Tag=<tag1> Tag=<tag2>] <message>
Tag naming requirements
Tags can include letters, numbers, dashes, and underscores
All tags are normalized to lowercase.
Each tag can be up to 250 alphanumeric characters.
Viewing Agent tags
Tip. GuardMode Agent tags can be managed using REST API or the CLI.
Viewing Agent tags using REST API
To view Agent Tags, send a GET request to /settings/tags.
Returns all agent tags
get
Authorizations
AuthorizationstringRequired
Basic Authorization header
Header parameters
api-versionstringRequired
Responses
200
A list of all currently added tags
idstring · uuidRequired
tagstring · min: 1Required
createdAtstring · date-timeRequired
get
/settings/tags
200
A list of all currently added tags
The response includes IDs for each tag. The collection is empty by default.
Viewing Agent tags using CLI
To view Agent Tags using the CLI:
Adding tags
Adding tags using REST API
To add a tag to GuardMode Agent, send a POST request to /settings/tags:
Adds a new agent tag
post
Authorizations
AuthorizationstringRequired
Basic Authorization header
Header parameters
api-versionstringRequired
Body
tagstring · min: 1 · max: 250Required
Responses
201
Tag was successfully added
400
Bad request was sent
409
Tag already exists and can't be added again
post
/settings/tags
You need to specify the tag name in the request body in the following way:
Attention! Do not add the same tag twice.
Adding tags using CLI
To add a tag to GuardMode Agent using the CLI:
Removing tags
Removing tags using REST API
Delete a tag by sending a DELETE request to /settings/tags/{id}:
Removes an agent tag
delete
Authorizations
AuthorizationstringRequired
Basic Authorization header
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringRequired
Responses
204
Tag was removed
400
Bad request was sent
delete
/settings/tags/{id}
No content
The tag ID can be obtained from the GET request response to the same endpoint.